Nano Banana Text to Image
curl --request POST \
--url https://api.myrouter.ai/v3/gemini-2.5-flash-image-text-to-image \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"prompt": "<string>",
"aspect_ratio": "<string>"
}
'import requests
url = "https://api.myrouter.ai/v3/gemini-2.5-flash-image-text-to-image"
payload = {
"prompt": "<string>",
"aspect_ratio": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({prompt: '<string>', aspect_ratio: '<string>'})
};
fetch('https://api.myrouter.ai/v3/gemini-2.5-flash-image-text-to-image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"image_urls": [
{}
]
}Image
Nano Banana Text to Image
POST
/
v3
/
gemini-2.5-flash-image-text-to-image
Nano Banana Text to Image
Generate images from text prompts using the Gemini 2.5 Flash model.
Request Headers
Enum:
application/jsonBearer authentication format: Bearer {{API Key}}.
Request Body
Text prompt describing the image to generate
Aspect ratio of the generated image. Available values: 1:1, 3:2, 2:3, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9, 21:9Possible values:
1:1, 3:2, 2:3, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9, 21:9Response
List of generated image URLs
⌘I